spot 2.3.3

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Member Functions | Public Attributes | List of all members
spot::tl_simplifier_options Class Reference
Collaboration diagram for spot::tl_simplifier_options:

## Public Member Functions
| tl_simplifier_options (bool basics=true, bool synt_impl=true, bool event_univ=true, bool containment_checks=false, bool containment_checks_stronger=false, bool nenoform_stop_on_boolean=false, bool reduce_size_strictly=false, bool boolean_to_isop=false, bool favor_event_univ=false)
| tl_simplifier_options (int level)

## Public Attributes
bool | reduce_basics
bool | synt_impl
bool | event_univ
bool | containment_checks
bool | containment_checks_stronger
bool | nenoform_stop_on_boolean
bool | reduce_size_strictly
bool | boolean_to_isop
bool | favor_event_univ

The documentation for this class was generated from the following file:

- spot/tl/simplify.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.